Package ch.qos.logback.core.joran.event.stax

# Class StaxEvent

java.lang.Object
ch.qos.logback.core.joran.event.stax.StaxEvent

Direct Known Subclasses:
  `BodyEvent`, `EndEvent`, `StartEvent`

public class StaxEvent extends Object

## Method Summary

Modifier and Type
Method
Description
`Location`
`getLocation()`
`String`
`getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getName

public String getName()

### getLocation

public Location getLocation()